# infrastructure/modules/base/storageclass/veles-oceanus-db.yaml
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: veles-oceanus-db
  annotations:
    veles.bstein.dev/allowed-namespace: veles
provisioner: driver.longhorn.io
parameters:
  nodeSelector: veles-oceanus
  diskSelector: veles-oceanus,veles-db
  fromBackup: ""
  numberOfReplicas: "1"
  staleReplicaTimeout: "30"
  fsType: ext4
  replicaAutoBalance: disabled
  dataLocality: strict-local
  recurringJobSelector: '[{"name":"veles-postgres-backup","isGroup":false},{"name":"veles-postgres-snapshot","isGroup":false}]'
reclaimPolicy: Retain
allowVolumeExpansion: true
volumeBindingMode: WaitForFirstConsumer
